System.ServiceModel 4.0.0.0 System.Enum

This enumeration specifies the signing and encrypting relationships between a message and its signature.

An enumeration that lists the ways in which security tokens are attached.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenAttachmentMode

  The token is used to sign the message signature.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenAttachmentMode

  The token is included in the message signature.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenAttachmentMode

  The token is included in the message signature and is encrypted.

- Field
  4.0.0.0
  System.ServiceModel.Security.SecurityTokenAttachmentMode

  The token is included in and signs the message signature.